Package ru.bitel.bgbilling.modules.sberbank.server.bean

# Class Constants

java.lang.Object
ru.bitel.bgbilling.common.bean.BGBaseConstants
ru.bitel.bgbilling.modules.sberbank.server.bean.Constants

public class Constants extends BGBaseConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ParameterMap`
  `defaultAutopaymentSetup`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_ENABLE`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_FEATURES`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_MODE_AUTO_ENABLE`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_MODE_DEFAULT`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_MODE_MONTH_ENABLE`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_MODE_MONTH_SUM_MAX`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_MODE_MONTH_SUM_MIN`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_MODE_WEEK_ENABLE`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_MODE_WEEK_SUM_MAX`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_MODE_WEEK_SUM_MIN`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_REST_USER_NAME`
  `static final String`
  `KEY_SBERBANK_AUTOPAYMENT_REST_USER_PSWD`
  `static final String`
  `KEY_SBERBANK_BILLING_NAME`
  `static final String`
  `KEY_SBERBANK_ECOMM_BINDINGS_URL`
  `static final String`
  `KEY_SBERBANK_ECOMM_DESCRIPTION`
  `static final String`
  `KEY_SBERBANK_ECOMM_LANGUAGE`
  `static final String`
  `KEY_SBERBANK_ECOMM_ORDER_BINDINGS_URL`
  `static final String`
  `KEY_SBERBANK_ECOMM_ORDER_STATUS_URL`
  `static final String`
  `KEY_SBERBANK_ECOMM_REGISTER_URL`
  `static final String`
  `KEY_SBERBANK_ECOMM_RETURN_URL`
  `static final String`
  `KEY_SBERBANK_ECOMM_USER_NAME`
  `static final String`
  `KEY_SBERBANK_ECOMM_USER_PSWD`
  `static final String`
  `KEY_SBERBANK_EVENT_WORKER`
  `static final String`
  `KEY_SBERBANK_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE`
  `static final String`
  `KEY_SBERBANK_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED`
  `static final String`
  `KEY_SBERBANK_FISCALIZATION_CUSTOMER_ADDRESS_TITLE`
  `static final String`
  `KEY_SBERBANK_FISCALIZATION_ENABLE`
  `static final String`
  `KEY_SBERBANK_FISCALIZATION_RECEIPT_NAME`
  `static final String`
  `KEY_SBERBANK_FISCALIZATION_RECEIPT_QTY`
  `static final String`
  `KEY_SBERBANK_FISCALIZATION_RECEIPT_QTY_MEASURE`
  `static final String`
  `KEY_SBERBANK_FISCALIZATION_RECEIPT_TAX_SYSTEM`
  `static final String`
  `KEY_SBERBANK_FISCALIZATION_RECEIPT_TAX_TYPE`
  `static final String`
  `KEY_SBERBANK_FISCALIZATION_RECEIPT_VAT`
  `static final String`
  `KEY_SBERBANK_MODE`
  `static final String`
  `KEY_SBERBANK_PAYMENT_COMMENT`
  `static final String`
  `KEY_SBERBANK_PAYMENT_FEATURES`
  `static final String`
  `KEY_SBERBANK_PAYMENT_SBP_TYPE_ID`
  `static final String`
  `KEY_SBERBANK_PAYMENT_TYPE_ID`
  `static final String`
  `KEY_SBERBANK_REQUEST_READ_TIMEOUT`
  `static final String`
  `KEY_SBERBANK_REQUEST_TIMEOUT`
  `static final String`
  `KEY_SBERBANK_REST_BINDINGS_URL`
  `static final String`
  `KEY_SBERBANK_REST_CURRENCY`
  `static final String`
  `KEY_SBERBANK_REST_DESCRIPTION`
  `static final String`
  `KEY_SBERBANK_REST_LANGUAGE`
  `static final String`
  `KEY_SBERBANK_REST_ORDER_BINDINGS_URL`
  `static final String`
  `KEY_SBERBANK_REST_ORDER_STATUS_URL`
  `static final String`
  `KEY_SBERBANK_REST_REGISTER_URL`
  `static final String`
  `KEY_SBERBANK_REST_RETURN_URL`
  `static final String`
  `KEY_SBERBANK_REST_USER_NAME`
  `static final String`
  `KEY_SBERBANK_REST_USER_PSWD`
  `static final String`
  `KEY_SBERBANK_SBP_CANCEL_URL`
  `static final String`
  `KEY_SBERBANK_SBP_CLIENT_ID`
  `static final String`
  `KEY_SBERBANK_SBP_CLIENT_SECRET`
  `static final String`
  `KEY_SBERBANK_SBP_CREATION_URL`
  `static final String`
  `KEY_SBERBANK_SBP_DESCRIPTION`
  `static final String`
  `KEY_SBERBANK_SBP_ENABLE`
  `static final String`
  `KEY_SBERBANK_SBP_REGISTRY_URL`
  `static final String`
  `KEY_SBERBANK_SBP_REVOCATION_URL`
  `static final String`
  `KEY_SBERBANK_SBP_STATUS_URL`
  `static final String`
  `KEY_SBERBANK_SBP_TERMINAL_ID`
  `static final String`
  `KEY_SBERBANK_SBP_TOKEN_URL`
  `static final String`
  `KEY_SBERBANK_SUM_MAX`
  `static final String`
  `KEY_SBERBANK_SUM_MIN`
  `static final int`
  `SBERBANK_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT`
  `static final int`
  `SBERBANK_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX`
  `static final int`
  `SBERBANK_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT`
  `static final int`
  `SBERBANK_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX`
  `static final int`
  `SBERBANK_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT`
  `static final int`
  `SBERBANK_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX`
  `static final int`
  `SBERBANK_AUTOPAYMENT_MODE_DEFAULT`
  `static final int`
  `SBERBANK_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT`
  `static final int`
  `SBERBANK_AUTOPAYMENT_MODE_MONTH_SUM_MAX`
  `static final int`
  `SBERBANK_AUTOPAYMENT_MODE_MONTH_SUM_MIN`
  `static final int`
  `SBERBANK_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT`
  `static final int`
  `SBERBANK_AUTOPAYMENT_MODE_WEEK_SUM_MAX`
  `static final int`
  `SBERBANK_AUTOPAYMENT_MODE_WEEK_SUM_MIN`
  `static final String`
  `SBERBANK_AUTOPAYMENT_REST_USER_NAME`
  `static final String`
  `SBERBANK_AUTOPAYMENT_REST_USER_PSWD`
  `static final String`
  `SBERBANK_ECOMM_BINDINGS_URL`
  `static final String`
  `SBERBANK_ECOMM_DESCRIPTION`
  `static final String`
  `SBERBANK_ECOMM_LANGUAGE`
  `static final String`
  `SBERBANK_ECOMM_ORDER_BINDINGS_URL`
  `static final String`
  `SBERBANK_ECOMM_ORDER_STATUS_URL`
  `static final String`
  `SBERBANK_ECOMM_REGISTER_URL`
  `static final String`
  `SBERBANK_ECOMM_USER_NAME`
  `static final String`
  `SBERBANK_ECOMM_USER_PSWD`
  `static final String`
  `SBERBANK_FISCALIZATION_CUSTOMER_ADDRESS_TITLE`
  `static final String`
  `SBERBANK_FISCALIZATION_RECEIPT_NAME`
  `static final String`
  `SBERBANK_FISCALIZATION_RECEIPT_QTY_MEASURE`
  `static final String`
  `SBERBANK_PAYMENT_COMMENT`
  `static final int`
  `SBERBANK_REQUEST_READ_TIMEOUT`
  `static final int`
  `SBERBANK_REQUEST_TIMEOUT`
  `static final String`
  `SBERBANK_REST_BINDINGS_URL`
  `static final String`
  `SBERBANK_REST_DESCRIPTION`
  `static final String`
  `SBERBANK_REST_LANGUAGE`
  `static final String`
  `SBERBANK_REST_ORDER_BINDINGS_URL`
  `static final String`
  `SBERBANK_REST_ORDER_STATUS_URL`
  `static final String`
  `SBERBANK_REST_REGISTER_URL`
  `static final String`
  `SBERBANK_REST_USER_NAME`
  `static final String`
  `SBERBANK_REST_USER_PSWD`
  `static final String`
  `SBERBANK_SBP_CANCEL_URL`
  `static final String`
  `SBERBANK_SBP_CREATION_URL`
  `static final String`
  `SBERBANK_SBP_REGISTRY_URL`
  `static final String`
  `SBERBANK_SBP_REVOCATION_URL`
  `static final String`
  `SBERBANK_SBP_STATUS_URL`
  `static final String`
  `SBERBANK_SBP_TOKEN_URL`
  `static final int`
  `SBERBANK_SUM_MAX`
  `static final int`
  `SBERBANK_SUM_MIN`

  ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PAYMENT_PHONE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `getIntConstantByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SBERBANK_REQUEST_TIMEOUT

    public static final int SBERBANK_REQUEST_TIMEOUT
    See Also:
      - Constant Field Values

  - ### SBERBANK_REQUEST_READ_TIMEOUT

    public static final int SBERBANK_REQUEST_READ_TIMEOUT
    See Also:
      - Constant Field Values

  - ### SBERBANK_SUM_MIN

    public static final int SBERBANK_SUM_MIN
    See Also:
      - Constant Field Values

  - ### SBERBANK_SUM_MAX

    public static final int SBERBANK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### SBERBANK_AUTOPAYMENT_MODE_DEFAULT

    public static final int SBERBANK_AUTOPAYMENT_MODE_DEFAULT
    See Also:
      - Constant Field Values

  - ### SBERBANK_AUTOPAYMENT_MODE_WEEK_SUM_MIN

    public static final int SBERBANK_AUTOPAYMENT_MODE_WEEK_SUM_MIN
    See Also:
      - Constant Field Values

  - ### SBERBANK_AUTOPAYMENT_MODE_WEEK_SUM_MAX

    public static final int SBERBANK_AUTOPAYMENT_MODE_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### SBERBANK_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT

    public static final int SBERBANK_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### SBERBANK_AUTOPAYMENT_MODE_MONTH_SUM_MIN

    public static final int SBERBANK_AUTOPAYMENT_MODE_MONTH_SUM_MIN
    See Also:
      - Constant Field Values

  - ### SBERBANK_AUTOPAYMENT_MODE_MONTH_SUM_MAX

    public static final int SBERBANK_AUTOPAYMENT_MODE_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### SBERBANK_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT

    public static final int SBERBANK_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### SBERBANK_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX

    public static final int SBERBANK_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX
    See Also:
      - Constant Field Values

  - ### SBERBANK_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT

    public static final int SBERBANK_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### SBERBANK_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX

    public static final int SBERBANK_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### SBERBANK_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT

    public static final int SBERBANK_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### SBERBANK_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX

    public static final int SBERBANK_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### SBERBANK_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT

    public static final int SBERBANK_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### SBERBANK_ECOMM_LANGUAGE

    public static final String SBERBANK_ECOMM_LANGUAGE
    See Also:
      - Constant Field Values

  - ### SBERBANK_ECOMM_USER_NAME

    public static final String SBERBANK_ECOMM_USER_NAME
    See Also:
      - Constant Field Values

  - ### SBERBANK_ECOMM_USER_PSWD

    public static final String SBERBANK_ECOMM_USER_PSWD
    See Also:
      - Constant Field Values

  - ### SBERBANK_ECOMM_DESCRIPTION

    public static final String SBERBANK_ECOMM_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### SBERBANK_ECOMM_REGISTER_URL

    public static final String SBERBANK_ECOMM_REGISTER_URL
    See Also:
      - Constant Field Values

  - ### SBERBANK_ECOMM_ORDER_STATUS_URL

    public static final String SBERBANK_ECOMM_ORDER_STATUS_URL
    See Also:
      - Constant Field Values

  - ### SBERBANK_ECOMM_BINDINGS_URL

    public static final String SBERBANK_ECOMM_BINDINGS_URL
    See Also:
      - Constant Field Values

  - ### SBERBANK_ECOMM_ORDER_BINDINGS_URL

    public static final String SBERBANK_ECOMM_ORDER_BINDINGS_URL
    See Also:
      - Constant Field Values

  - ### SBERBANK_REST_LANGUAGE

    public static final String SBERBANK_REST_LANGUAGE
    See Also:
      - Constant Field Values

  - ### SBERBANK_REST_USER_NAME

    public static final String SBERBANK_REST_USER_NAME
    See Also:
      - Constant Field Values

  - ### SBERBANK_REST_USER_PSWD

    public static final String SBERBANK_REST_USER_PSWD
    See Also:
      - Constant Field Values

  - ### SBERBANK_REST_DESCRIPTION

    public static final String SBERBANK_REST_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### SBERBANK_REST_REGISTER_URL

    public static final String SBERBANK_REST_REGISTER_URL
    See Also:
      - Constant Field Values

  - ### SBERBANK_REST_ORDER_STATUS_URL

    public static final String SBERBANK_REST_ORDER_STATUS_URL
    See Also:
      - Constant Field Values

  - ### SBERBANK_REST_BINDINGS_URL

    public static final String SBERBANK_REST_BINDINGS_URL
    See Also:
      - Constant Field Values

  - ### SBERBANK_REST_ORDER_BINDINGS_URL

    public static final String SBERBANK_REST_ORDER_BINDINGS_URL
    See Also:
      - Constant Field Values

  - ### SBERBANK_SBP_TOKEN_URL

    public static final String SBERBANK_SBP_TOKEN_URL
    See Also:
      - Constant Field Values

  - ### SBERBANK_SBP_CREATION_URL

    public static final String SBERBANK_SBP_CREATION_URL
    See Also:
      - Constant Field Values

  - ### SBERBANK_SBP_STATUS_URL

    public static final String SBERBANK_SBP_STATUS_URL
    See Also:
      - Constant Field Values

  - ### SBERBANK_SBP_CANCEL_URL

    public static final String SBERBANK_SBP_CANCEL_URL
    See Also:
      - Constant Field Values

  - ### SBERBANK_SBP_REGISTRY_URL

    public static final String SBERBANK_SBP_REGISTRY_URL
    See Also:
      - Constant Field Values

  - ### SBERBANK_SBP_REVOCATION_URL

    public static final String SBERBANK_SBP_REVOCATION_URL
    See Also:
      - Constant Field Values

  - ### SBERBANK_PAYMENT_COMMENT

    public static final String SBERBANK_PAYMENT_COMMENT
    See Also:
      - Constant Field Values

  - ### SBERBANK_AUTOPAYMENT_REST_USER_NAME

    public static final String SBERBANK_AUTOPAYMENT_REST_USER_NAME
    See Also:
      - Constant Field Values

  - ### SBERBANK_AUTOPAYMENT_REST_USER_PSWD

    public static final String SBERBANK_AUTOPAYMENT_REST_USER_PSWD
    See Also:
      - Constant Field Values

  - ### SBERBANK_FISCALIZATION_RECEIPT_NAME

    public static final String SBERBANK_FISCALIZATION_RECEIPT_NAME
    See Also:
      - Constant Field Values

  - ### SBERBANK_FISCALIZATION_RECEIPT_QTY_MEASURE

    public static final String SBERBANK_FISCALIZATION_RECEIPT_QTY_MEASURE
    See Also:
      - Constant Field Values

  - ### SBERBANK_FISCALIZATION_CUSTOMER_ADDRESS_TITLE

    public static final String SBERBANK_FISCALIZATION_CUSTOMER_ADDRESS_TITLE
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_MODE

    public static final String KEY_SBERBANK_MODE
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_SUM_MIN

    public static final String KEY_SBERBANK_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_SUM_MAX

    public static final String KEY_SBERBANK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_EVENT_WORKER

    public static final String KEY_SBERBANK_EVENT_WORKER
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_REQUEST_TIMEOUT

    public static final String KEY_SBERBANK_REQUEST_TIMEOUT
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_REQUEST_READ_TIMEOUT

    public static final String KEY_SBERBANK_REQUEST_READ_TIMEOUT
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_BILLING_NAME

    public static final String KEY_SBERBANK_BILLING_NAME
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_PAYMENT_TYPE_ID

    public static final String KEY_SBERBANK_PAYMENT_TYPE_ID
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_PAYMENT_SBP_TYPE_ID

    public static final String KEY_SBERBANK_PAYMENT_SBP_TYPE_ID
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_PAYMENT_COMMENT

    public static final String KEY_SBERBANK_PAYMENT_COMMENT
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_PAYMENT_FEATURES

    public static final String KEY_SBERBANK_PAYMENT_FEATURES
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_ECOMM_USER_NAME

    public static final String KEY_SBERBANK_ECOMM_USER_NAME
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_ECOMM_USER_PSWD

    public static final String KEY_SBERBANK_ECOMM_USER_PSWD
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_ECOMM_LANGUAGE

    public static final String KEY_SBERBANK_ECOMM_LANGUAGE
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_ECOMM_DESCRIPTION

    public static final String KEY_SBERBANK_ECOMM_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_ECOMM_REGISTER_URL

    public static final String KEY_SBERBANK_ECOMM_REGISTER_URL
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_ECOMM_ORDER_STATUS_URL

    public static final String KEY_SBERBANK_ECOMM_ORDER_STATUS_URL
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_ECOMM_ORDER_BINDINGS_URL

    public static final String KEY_SBERBANK_ECOMM_ORDER_BINDINGS_URL
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_ECOMM_BINDINGS_URL

    public static final String KEY_SBERBANK_ECOMM_BINDINGS_URL
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_ECOMM_RETURN_URL

    public static final String KEY_SBERBANK_ECOMM_RETURN_URL
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_REST_USER_NAME

    public static final String KEY_SBERBANK_REST_USER_NAME
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_REST_USER_PSWD

    public static final String KEY_SBERBANK_REST_USER_PSWD
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_REST_LANGUAGE

    public static final String KEY_SBERBANK_REST_LANGUAGE
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_REST_CURRENCY

    public static final String KEY_SBERBANK_REST_CURRENCY
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_REST_DESCRIPTION

    public static final String KEY_SBERBANK_REST_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_REST_REGISTER_URL

    public static final String KEY_SBERBANK_REST_REGISTER_URL
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_REST_ORDER_STATUS_URL

    public static final String KEY_SBERBANK_REST_ORDER_STATUS_URL
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_REST_ORDER_BINDINGS_URL

    public static final String KEY_SBERBANK_REST_ORDER_BINDINGS_URL
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_REST_BINDINGS_URL

    public static final String KEY_SBERBANK_REST_BINDINGS_URL
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_REST_RETURN_URL

    public static final String KEY_SBERBANK_REST_RETURN_URL
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_SBP_ENABLE

    public static final String KEY_SBERBANK_SBP_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_SBP_TOKEN_URL

    public static final String KEY_SBERBANK_SBP_TOKEN_URL
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_SBP_CREATION_URL

    public static final String KEY_SBERBANK_SBP_CREATION_URL
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_SBP_STATUS_URL

    public static final String KEY_SBERBANK_SBP_STATUS_URL
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_SBP_CANCEL_URL

    public static final String KEY_SBERBANK_SBP_CANCEL_URL
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_SBP_REGISTRY_URL

    public static final String KEY_SBERBANK_SBP_REGISTRY_URL
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_SBP_REVOCATION_URL

    public static final String KEY_SBERBANK_SBP_REVOCATION_URL
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_SBP_CLIENT_ID

    public static final String KEY_SBERBANK_SBP_CLIENT_ID
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_SBP_CLIENT_SECRET

    public static final String KEY_SBERBANK_SBP_CLIENT_SECRET
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_SBP_TERMINAL_ID

    public static final String KEY_SBERBANK_SBP_TERMINAL_ID
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_SBP_DESCRIPTION

    public static final String KEY_SBERBANK_SBP_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_ENABLE

    public static final String KEY_SBERBANK_AUTOPAYMENT_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_FEATURES

    public static final String KEY_SBERBANK_AUTOPAYMENT_FEATURES
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_REST_USER_NAME

    public static final String KEY_SBERBANK_AUTOPAYMENT_REST_USER_NAME
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_REST_USER_PSWD

    public static final String KEY_SBERBANK_AUTOPAYMENT_REST_USER_PSWD
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_MODE_DEFAULT

    public static final String KEY_SBERBANK_AUTOPAYMENT_MODE_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_MODE_WEEK_ENABLE

    public static final String KEY_SBERBANK_AUTOPAYMENT_MODE_WEEK_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT

    public static final String KEY_SBERBANK_AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT

    public static final String KEY_SBERBANK_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_MODE_WEEK_SUM_MIN

    public static final String KEY_SBERBANK_AUTOPAYMENT_MODE_WEEK_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_MODE_WEEK_SUM_MAX

    public static final String KEY_SBERBANK_AUTOPAYMENT_MODE_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_MODE_MONTH_ENABLE

    public static final String KEY_SBERBANK_AUTOPAYMENT_MODE_MONTH_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT

    public static final String KEY_SBERBANK_AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT

    public static final String KEY_SBERBANK_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_MODE_MONTH_SUM_MIN

    public static final String KEY_SBERBANK_AUTOPAYMENT_MODE_MONTH_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_MODE_MONTH_SUM_MAX

    public static final String KEY_SBERBANK_AUTOPAYMENT_MODE_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_MODE_AUTO_ENABLE

    public static final String KEY_SBERBANK_AUTOPAYMENT_MODE_AUTO_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT

    public static final String KEY_SBERBANK_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX

    public static final String KEY_SBERBANK_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT

    public static final String KEY_SBERBANK_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX

    public static final String KEY_SBERBANK_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT

    public static final String KEY_SBERBANK_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX

    public static final String KEY_SBERBANK_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_FISCALIZATION_ENABLE

    public static final String KEY_SBERBANK_FISCALIZATION_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_FISCALIZATION_RECEIPT_NAME

    public static final String KEY_SBERBANK_FISCALIZATION_RECEIPT_NAME
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_FISCALIZATION_RECEIPT_QTY

    public static final String KEY_SBERBANK_FISCALIZATION_RECEIPT_QTY
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_FISCALIZATION_RECEIPT_QTY_MEASURE

    public static final String KEY_SBERBANK_FISCALIZATION_RECEIPT_QTY_MEASURE
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_FISCALIZATION_RECEIPT_VAT

    public static final String KEY_SBERBANK_FISCALIZATION_RECEIPT_VAT
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_FISCALIZATION_RECEIPT_TAX_TYPE

    public static final String KEY_SBERBANK_FISCALIZATION_RECEIPT_TAX_TYPE
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_FISCALIZATION_RECEIPT_TAX_SYSTEM

    public static final String KEY_SBERBANK_FISCALIZATION_RECEIPT_TAX_SYSTEM
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE

    public static final String KEY_SBERBANK_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_FISCALIZATION_CUSTOMER_ADDRESS_TITLE

    public static final String KEY_SBERBANK_FISCALIZATION_CUSTOMER_ADDRESS_TITLE
    See Also:
      - Constant Field Values

  - ### KEY_SBERBANK_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED

    public static final String KEY_SBERBANK_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED
    See Also:
      - Constant Field Values

  - ### defaultAutopaymentSetup

    public static final ParameterMap defaultAutopaymentSetup
    See Also:
      - `ContractAutopaymentServiceImpl.contractAutopaymentModeList(int)`

- ## Constructor Details

  - ### Constants

    public Constants()